r.in.ppm(1)	       Grass User's Manual	      r.in.ppm(1)



NNAAMMEE
       rr..iinn..ppppmm  -  Converts  a  PPM image file to a GRASS raster
       file.
       _(_G_R_A_S_S _R_a_s_t_e_r _D_a_t_a _I_m_p_o_r_t _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..iinn..ppppmm [--vvffbbcc] iinnppuutt==_n_a_m_e oouuttppuutt==_n_a_m_e

DDEESSCCRRIIPPTTIIOONN
       This program converts a PPM raster file to a GRASS  raster
       file.

OOPPTTIIOONNSS
   FFllaaggss::
       --vv     Verbose mode.

       --ff     Create  floating-point  maps (range 0.0 - 1.0). Not
	      applicable to composite  maps  created  by  the  --cc
	      flag.

       --bb     Create 3 separate raster maps of the red/green/blue
	      levels

       --cc     Create a composite color map


   PPaarraammeetteerrss::
       iinnppuutt==_n_a_m_e
	      Name of an existing PPM raster file to be imported.

       oouuttppuutt==_n_a_m_e
	      Name   to  be  assigned  to  resultant  raster  map
	      layer(s).


NNOOTTEESS
       R/G/B levels: each output raster map layer is given a lin-
       ear  gray  scale color table. Each output raster map layer
       is assigned the user-specified _o_u_t_p_u_t name with	(.r,  .g,
       .b) suffix.


       The  user should adjust boundary coordinates stored in the
       cell header after import using _r_._s_u_p_p_o_r_t or _r_._r_e_g_i_o_n.


       Composite color maps are generated by generating the sepa-
       rate  red,  green and blue maps, then invoking _r_._c_o_m_p_o_s_i_t_e
       to generate the composite map.  Unless  the  --bb	flag  was
       used, the red, green and blue maps will then be deleted.


       Greate  control may be exercised over the creation of com-
       posite color maps by invoking _r_._c_o_m_p_o_s_i_t_e manually.

SSEEEE AALLSSOO
       _r_._i_n_._p_b_m

       _r_._i_n_._p_b_m

       _r_._c_o_m_p_o_s_i_t_e

       _r_._s_u_p_p_o_r_t

       _r_._r_e_g_i_o_n

       _p_a_r_s_e_r

AAUUTTHHOORR
       Glynn Clements

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_4_/_1_4 _0_6_:_5_5_:_1_9 _$



GRASS 5.0					      r.in.ppm(1)
